org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheQueryContinuousHandle

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheQueryContinuousHandle

All Implemented Interfaces:
  EventListener, javax.cache.event.CacheEntryListener<Object,Object>, javax.cache.event.CacheEntryUpdatedListener<Object,Object>, ClientCloseableResource

    public class ClientCacheQueryContinuousHandle
    extends Object
    implements javax.cache.event.CacheEntryUpdatedListener<Object,Object>, ClientCloseableResource

Continuous query handle. NOTE: Do not mark with `IgniteAsyncCallback` - it disables batching and sends events one by one.

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheQueryContinuousHandle(ClientConnectionContext ctx)` Ctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes the resource.
`void` `onUpdated(Iterable<javax.cache.event.CacheEntryEvent<?,?>> iterable)`
`void` `setCursor(QueryCursor<?> cur)` Sets the cursor.
`void` `startNotifications(long id)` Sets the cursor id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientCacheQueryContinuousHandle

    public ClientCacheQueryContinuousHandle(ClientConnectionContext ctx)

Ctor.

Parameters:
  `ctx` - Context.

### Method Detail

#### onUpdated

    public void onUpdated(Iterable<javax.cache.event.CacheEntryEvent<?,?>> iterable)
                   throws javax.cache.event.CacheEntryListenerException

Specified by:
  `onUpdated` in interface `javax.cache.event.CacheEntryUpdatedListener<Object,Object>`
Throws:
  `javax.cache.event.CacheEntryListenerException`

#### setCursor

    public void setCursor(QueryCursor<?> cur)

Sets the cursor.

Parameters:
  `cur` - Cursor.

#### startNotifications

    public void startNotifications(long id)

Sets the cursor id.

Parameters:
  `id` - Cursor id.

#### close

    public void close()

Closes the resource.

Specified by:
  `close` in interface `ClientCloseableResource`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022